# DAGetProcessorSubset

Returns a communicator consisting only of the processors in a DA that own a particular global x, y, or z grid point (corresponding to a logical plane in a 3D grid or a line in a 2D grid).

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DAGetProcessorSubset(DA da,DADirection dir,PetscInt gp,MPI_Comm *comm)

Collective on DA

### Input Parameters

| da | - the distributed array
| dir | - Cartesian direction, either DA_X, DA_Y, or DA_Z
| gp | - global grid point number in this direction

### Output Parameters

comm -new communicator

### Notes

All processors that share the DA must call this with the same gp value

This routine is particularly useful to compute boundary conditions or other application-specific calculations that require manipulating sets of data throughout a logical plane of grid points.

### Keywords

distributed array, get, processor subset

Level:advanced
Location: src/dm/da/src/dasub.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages